<tryton>
    <data>
        <record model="res.group" id="group_price_admin">
            <field name="name">Price Administration</field>
        </record>
        <record model="res.user-res.group"
            id="user_admin_group_price_admin">
            <field name="user" ref="res.user_admin"/>
            <field name="group" ref="group_price_admin"/>
        </record>
        <record model="ir.ui.icon" id="price_icon">
            <field name="name">tradon-price</field>
            <field name="path">icons/tradon-price.svg</field>
        </record>
        <menuitem 
            name="Prices"
            sequence="40"
            id="menu_price" 
            icon="tradon-price"/>
        <record model="ir.ui.view" id="price_view_tree">
            <field name="model">price.price</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">price_tree</field>
        </record>
        <record model="ir.ui.view" id="price_view_tree_sequence">
            <field name="model">price.price</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">price_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="price_view_form">
            <field name="model">price.price</field>
            <field name="type">form</field>
            <field name="name">price_form</field>
        </record>

        <record model="ir.ui.view" id="composite_view_tree">
            <field name="model">price.composite</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">composite_tree</field>
        </record>
        <record model="ir.ui.view" id="composite_view_tree_sequence">
            <field name="model">price.composite</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">composite_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="composite_view_form">
            <field name="model">price.composite</field>
            <field name="type">form</field>
            <field name="name">composite_form</field>
        </record>
        <record model="ir.action.act_window" id="act_composite_form">
            <field name="name">Composite</field>
            <field name="res_model">price.composite</field>
        </record>
        <record model="ir.action.act_window.view"
            id="act_composite_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="composite_view_tree"/>
            <field name="act_window" ref="act_composite_form"/>
        </record>
        <record model="ir.action.act_window.view"
            id="act_composite_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="composite_view_form"/>
            <field name="act_window" ref="act_composite_form"/>
        </record>
        <record model="ir.action.act_window.view"
            id="act_composite_form_view3">
          <field name="sequence" eval="30"/>
          <field name="view" ref="composite_view_tree_sequence"/>
          <field name="act_window" ref="act_composite_form"/>
        </record>

        <record model="ir.ui.view" id="fixtype_view_tree">
            <field name="model">price.fixtype</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">fixtype_tree</field>
        </record>
        <record model="ir.ui.view" id="fixtype_view_tree_sequence">
            <field name="model">price.fixtype</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">fixtype_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="fixtype_view_form">
            <field name="model">price.fixtype</field>
            <field name="type">form</field>
            <field name="name">fixtype_form</field>
        </record>

        <record model="ir.ui.view" id="area_view_tree">
            <field name="model">price.area</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">area_tree</field>
        </record>
        <record model="ir.ui.view" id="area_view_tree_sequence">
            <field name="model">price.area</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">area_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="area_view_form">
            <field name="model">price.area</field>
            <field name="type">form</field>
            <field name="name">area_form</field>
        </record>

        <record model="ir.ui.view" id="calendar_view_tree">
            <field name="model">price.calendar</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">calendar_tree</field>
        </record>
        <record model="ir.ui.view" id="calendar_view_tree_sequence">
            <field name="model">price.calendar</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">calendar_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="calendar_view_form">
            <field name="model">price.calendar</field>
            <field name="type">form</field>
            <field name="name">calendar_form</field>
        </record>

        <record model="ir.ui.view" id="calendar_line_view_calendar">
            <field name="model">price.calendar.line</field>
            <field name="type">calendar</field>
            <field name="priority" eval="40"/>
            <field name="name">calendar_line_calendar</field>
        </record>
        <record model="ir.ui.view" id="calendar_line_view_tree">
            <field name="model">price.calendar.line</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">calendar_line_tree</field>
        </record>
        <record model="ir.ui.view" id="calendar_line_view_tree_sequence">
            <field name="model">price.calendar.line</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">calendar_line_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="calendar_line_view_form">
            <field name="model">price.calendar.line</field>
            <field name="type">form</field>
            <field name="priority" eval="30"/>
            <field name="name">calendar_line_form</field>
        </record>

        <record model="ir.ui.view" id="product_view_tree">
            <field name="model">price.product</field>
            <field name="type">tree</field>
            <field name="priority" eval="10"/>
            <field name="name">product_tree</field>
        </record>
        <record model="ir.ui.view" id="product_view_tree_sequence">
            <field name="model">price.product</field>
            <field name="type">tree</field>
            <field name="priority" eval="20"/>
            <field name="name">product_tree_sequence</field>
        </record>
        <record model="ir.ui.view" id="product_view_form">
            <field name="model">price.product</field>
            <field name="type">form</field>
            <field name="name">product_form</field>
        </record>

        <record model="ir.action.act_window" id="act_price_form">
            <field name="name">Price</field>
            <field name="res_model">price.price</field>
        </record>
        <record model="ir.action.act_window.view"
            id="act_price_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="price_view_tree"/>
            <field name="act_window" ref="act_price_form"/>
        </record>
        <record model="ir.action.act_window.view"
            id="act_price_form_view2">
          <field name="sequence" eval="20"/>
          <field name="view" ref="price_view_form"/>
          <field name="act_window" ref="act_price_form"/>
        </record>

        <record model="ir.action.act_window" id="act_calendar_form">
            <field name="name">Calendar</field>
            <field name="res_model">price.calendar</field>
        </record>
        <record model="ir.action.act_window.view"
            id="act_calendar_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="calendar_view_tree"/>
            <field name="act_window" ref="act_calendar_form"/>
        </record>
        <record model="ir.action.act_window.view"
            id="act_calendar_form_view2">
          <field name="sequence" eval="20"/>
          <field name="view" ref="calendar_view_form"/>
          <field name="act_window" ref="act_calendar_form"/>
        </record>

        <menuitem
            parent="menu_price"
            sequence="80"
            action="act_price_form"
            id="menu_price_form"/>
        <menuitem
            parent="menu_price"
            sequence="1500"
            action="act_calendar_form"
            id="menu_calendar_form"/>
    </data>
</tryton>
